---
title: Spree 3.6.0
section: release_notes
order: 3
---

## Major/New Features

Alongside Spree 3.5 (for Rails 5.1) we're releasing Spree 3.6 (for Rails 5.2).
Spree 3.6 has all of the features of Spree 3.5 plus Rails 5.2,
ActiveStorage and Ruby 2.5 support out of the box.

If you're on a Spree 3.4 (or earlier) please see [Spree 3.5 release notes](https://guides.spreecommerce.org/release_notes/spree_3_5_0.html) also.

### Rails 5.2 support

`Spree 3.6` is now compatible with `Rails 5.2` compared to `3.5` which used to run on `Rails 5.1`.
Thanks to that you can start using all of the [new great features available in Rails 5.2](http://edgeguides.rubyonrails.org/5_2_release_notes.html)

Contributed by [Spark Solutions](https://github.com/spree/spree/pull/8601)

### ActiveStorage support

Active Storage facilitates uploading files to a cloud storage service like Amazon S3, Google Cloud Storage, or Microsoft Azure Storage and attaching those files to Active Record objects. It comes with a local disk-based service for development and testing and supports mirroring files to subordinate services for backups and migrations.

ActiveStorage was introduced in Rails 5.2 and with Spree 3.6 release it's the default file stoage option. We'll still support Paperclip until Spree 4.0 when it will be removed from Spree core.

Contributed by [Spark Solutions](https://github.com/spree/spree/pull/8709)

### Ruby 2.5 support

Spree now works with Ruby `2.2` (`>= 2.2.7`), `2.3.x`, `2.4.x` and `2.5.x`.

Contributed by [Spark Solutions](https://github.com/spree/spree/pull/8743)

## Installation

### Add Spree gems to Gemfile

```ruby
gem 'spree', '~> 3.6.1'
gem 'spree_auth_devise', '~> 3.3'
gem 'spree_gateway', '~> 3.3'
```

### Run `bundle install`

### Use the install generators to set up Spree

```shell
rails g spree:install --user_class=Spree::User
rails g spree:auth:install
rails g spree_gateway:install
```

## Upgrade

### Update your Rails version to 5.2

Please follow the
[official Rails guide](http://edgeguides.rubyonrails.org/upgrading_ruby_on_rails.html#upgrading-from-rails-5-1-to-rails-5-2)
to upgrade your store.

### Update Gemfile

```ruby
gem 'spree', '~> 3.6.1'
```

### Run `bundle update`

### Install missing migrations

```bash
rails spree:install:migrations
rails spree_auth:install:migrations
rails spree_gateway:install:migrations
```

### Run migrations

```bash
rails db:migrate
```

### Migrate to ActiveStorage (optional)

Please follow the [official paperclip guide](https://github.com/thoughtbot/paperclip/blob/master/MIGRATING.md) if you
want to use ActiveStorage instead of paperclip.

You cann still use paperclip for attachment management by setting `SPREE_USE_PAPERCLIP` environment variable to `true`, but keep in mind that paperclip is DEPRECATED and we will remove paperclip support in Spree 4.0.

## Noteworthy changes

Please see [Spree 3.5 release notes](https://guides.spreecommerce.org/release_notes/spree_3_5_0.html)

## Full Changelog

You can view the full changes using [Github Compare](https://github.com/spree/spree/compare/3-5-stable...3-6-stable).
